kiconviewsearchline.h
/*
This file is part of the KDE libraries
Copyright (c) 2004 Gustavo Sverzut Barbieri <gsbarbieri@users.sourceforge.net>
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License version 2 as published by the Free Software Foundation.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Library General Public License for more details.
You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB. If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
*/
#ifndef KICONVIEWSEARCHLINE_H
#define KICONVIEWSEARCHLINE_H
#include <klineedit.h>
#include <qvaluelist.h>
class QIconView;
class QIconViewItem;
class KDEUI_EXPORT KIconViewSearchLine : public KLineEdit
{
Q_OBJECT
public:
KIconViewSearchLine( QWidget *parent = 0,
QIconView *iconView = 0,
const char *name = 0 );
KIconViewSearchLine( QWidget *parent, const char *name );
virtual ~KIconViewSearchLine();
bool caseSensitive() const;
QIconView *iconView() const;
public slots:
virtual void updateSearch( const QString &s = QString::null );
void setCaseSensitive( bool cs );
void setIconView( QIconView *iv );
void clear();
protected:
virtual bool itemMatches( const QIconViewItem *item,
const QString &s ) const;
void init( QIconView *iconView = 0 );
void hideItem( QIconViewItem *item );
void showItem( QIconViewItem *item );
protected slots:
void queueSearch( const QString &s );
void activateSearch();
private slots:
void iconViewDeleted();
private:
class KIconViewSearchLinePrivate;
KIconViewSearchLinePrivate *d;
};
#endif /* KICONVIEWSEARCHLINE_H */
KLineEdit::clear
virtual void clear()
Reimplemented to workaround a buggy QLineEdit::clear() (changing the clipboard to the text we just ha...
Definition: klineedit.cpp:1322
KLineEdit
An enhanced QLineEdit widget for inputting text.
Definition: klineedit.h:145
KIconViewSearchLine
This class makes it easy to add a search line for filtering the items in a iconview based on a simple...
Definition: kiconviewsearchline.h:38

KDE Home | KDE Accessibility Home | Description of Access Keys